Message: Re: Geant4.9.4.p02 on OSX 10.8.2 Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None Re: Geant4.9.4.p02 on OSX 10.8.2 

Forum: Installation and Configuration
Re: Question Geant4.9.4.p02 on OSX 10.8.2 (Daniel Cox)
Re: Warning Re: Geant4.9.4.p02 on OSX 10.8.2 (Ben Morgan)
Date: 16 Oct, 2012
From: Daniel Cox <Daniel Cox>

Installed the latest version now, I think without any errors. Though I can't get anything to compile

Are the only two files you need to source

. bin/geant4.sh

. CMAKE_INSTALL_PREFIX/share/Geant4-9.5.0/geant4make/geant4make.sh

Then should I not be able to compile an example, say N03 with make?

I get the output; /Applications/geant4.9.6/geant4.9.6.b01-install/share/Geant4-9.6.0/geant4make/config/architecture.gmk:347: /Applications/geant4.9.6/geant4.9.6.b01-install/share/Geant4-9.6.0/geant4make/config/sys/Darwin-UNSUPPORTED.gmk: No such file or directory Making dependency for file exampleN03.cc ... Making dependency for file src/SteppingVerbose.cc ... Making dependency for file src/SteppingAction.cc ... Making dependency for file src/RunAction.cc ... Making dependency for file src/PrimaryGeneratorMessenger.cc ... Making dependency for file src/PrimaryGeneratorAction.cc ... Making dependency for file src/PhysicsList.cc ... Making dependency for file src/EventActionMessenger.cc ... Making dependency for file src/EventAction.cc ... Making dependency for file src/DetectorMessenger.cc ... Making dependency for file src/DetectorConstruction.cc ... make: *** No rule to make target `/Applications/geant4.9.6/geant4.9.6.b01-install/share/Geant4-9.6.0/geant4make/config/sys/Darwin-UNSUPPORTED.gmk'. Stop.

Sorry, I'm trying to follow the instructions for 4.9.5 and I'm a little confused.

 Add Message Add Message
to: "Re: Geant4.9.4.p02 on OSX 10.8.2"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]